<?php


use App\Http\Controllers\Tests\PayPalController as TestPayPayController;
use Illuminate\Support\Facades\Route;

Route::prefix("tests")->name("tests.")->group(function() {

    Route::prefix("paypal")->name("paypal.")->group(function() {
        // PayPal gateway
        Route::get('/', [TestPayPayController::class, 'index'])->name('index');

        Route::post('charge', [TestPayPayController::class, 'charge'])->name('charge');
        Route::get('success', [TestPayPayController::class, 'success'])->name('success');
        Route::get('error', [TestPayPayController::class, 'error'])->name('error');

    });
});
